# .scrutinizer.yml

filter:
    paths: [ src/* ]

before_commands:
    - "composer install --prefer-source"

tools:
    external_code_coverage:
      runs: 2
    php_cpd: true
    php_pdepend: true
    php_code_coverage: true
    php_analyzer: true

changetracking:
    bug_patterns: ["\bfix(?:es|ed)?\b"]
    feature_patterns: ["\badd(?:s|ed)?\b", "\bimplement(?:s|ed)?\b"]
